## initscripts-2011.05.1.tar.xz

=== Makefile ===
VER  := $(shell git describe)
DIRS := /etc/rc.d /etc/conf.d /etc/rc.d/functions.d /etc/cron.hourly /sbin

minilogd: minilogd.o

installdirs:
	install -dm755 $(foreach DIR, $(DIRS), $(DESTDIR)$(DIR))

install: minilogd installdirs
	install -m644 -t $(DESTDIR)/etc inittab rc.conf
	install -m644 -t $(DESTDIR)/etc/rc.d functions
	install -m755 -t $(DESTDIR)/etc rc.local rc.local.shutdown rc.multi rc.shutdown rc.single rc.sysinit
	install -m755 -t $(DESTDIR)/etc/cron.hourly adjtime
	install -m755 -t $(DESTDIR)/etc/rc.d functions hwclock network netfs
	install -m755 -t $(DESTDIR)/sbin minilogd rc.d

clean:
	rm -f minilogd minilogd.o

release:
	git archive HEAD --prefix=initscripts-$(VER)/ | xz > initscripts-$(VER).tar.xz

=== PKGBUILD ===
pkgname=initscripts-git
pkgver=$(date +%s)
pkgrel=$(git log --pretty=format:%h |head -n 1)
pkgdesc="System initialization/bootup scripts"
arch=('i686' 'x86_64')
url="http://www.archlinux.org"
license=('GPL')
groups=('base')
conflicts=('initscripts')
provides=('initscripts=9999')
backup=(etc/inittab etc/rc.conf etc/rc.local etc/rc.local.shutdown)
depends=('glibc' 'bash' 'grep' 'coreutils' 'udev>=139-1'
         'net-tools' 'ncurses' 'kbd' 'findutils' 'sysvinit')
optdepends=('bridge-utils: Network bridging support'
            'dhcpcd: DHCP network configuration'
            'wireless_tools: Wireless networking')
source=()
sha256sums=()

build() {
  cd ..
  make
}

package() {
  cd ..
  make DESTDIR="$pkgdir" install
}
